Changeset 725


Ignore:
Timestamp:
Oct 2, 2008, 6:21:27 PM (16 years ago)
Author:
joergs
Message:

data wasn't modified by transfer, but by dynamic Changes file inside the tar-file. svn_build_prepare now handles this. Checking return code of svn_build_prepare for proper exit message

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/technical/common/build/svn_osc_build.sh

    r723 r725  
    2323OSC_PACKAGE=`cat OSC_PACKAGE`
    2424
    25 svn_build_prepare.sh $* || {
    26     echo "failed to prepare sources"
     25svn_build_prepare.sh $*
     26RT=$?
     27if [ $RT -eq 1 ]; then
     28    echo "nothing more to do"
     29    exit 0
     30elif [ $RT -gt 1 ]; then
     31    echo "error: failed to prepare sources"
    2732    exit 1
    28 }
     33fi
    2934
    3035# TODO: get this info from svn_build_prepare.sh? seperate script?
     
    6469# rsync -a: -rlptgoD
    6570# but we don't want to check for timestamps
    66 # TODO: if our data (tar.bz2) is transfered to the
    67 #       openSUSE server, the size changed!!! Why?
    68 #       Therefore every new build run
    69 #       results in a new commit for the build server
     71# NOTE: this doesn't help, if the data (tar.bz2)
     72#   contains dynamic data like the Changes file
    7073rsync --checksum -r -v --delete $BUILDSRC_DIR/. . --exclude .osc
    7174
Note: See TracChangeset for help on using the changeset viewer.